# transm

以一个网点作为中转传输文件。

# 简要说明

- `client`和`server`均为命令行端程序，无GUI。
- `client`从`server`下载文件，如果本地有重复则覆盖。
- 工作方式为`client A`端提交待传输的文件列表到`server`，`client B`端从`server`获取有哪些客户机提交的哪些任务，可以从中下载。

## 格式（开发用）

通讯协议中的`DATA`部分，对于`type`为`1`的类型来讲，统一以下格式（`command`和`param`内容中不能含有`|`）：

**command|param|data** （传输格式）

**command(空格)param1,param2,param3..** （cmd输入格式）

### 1.命令

`type`：1

**Get：** 获取当前挂载到服务器的任务单。

**DownTask：** 下载指定的任务清单，`param`为`Get`中列出的名称。

**UpTask：** 上载任务单，`param`为文件或者文件夹路径，可多个，使用`,`分隔。

### 2.数据

`type`：2

当`mark`为`0`时表示数据的最后一包，其他数据表示非最后一包。

`type`: 199，特殊标记，表示询问在线客户端及挂载任务。

`type`: 198，特殊标记，下载任务。

`type`: 197，特殊标记，上载任务。